package com.muyu.cloud.pay;

import lombok.extern.log4j.Log4j2;
import org.springframework.boot.ConfigurableBootstrapContext;
import org.springframework.boot.SpringApplicationRunListener;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.core.env.ConfigurableEnvironment;

import java.time.Duration;

/**
 * @Author：zhangchengzhi
 * @Package：com.muyu.cloud.pay
 * @Project：cloud-pay
 * @name：MySpringApplicationRunlistener
 * @Date：2024/8/5 19:57
 */
@Log4j2
public class MySpringApplicationRunlistener implements SpringApplicationRunListener {


    public MySpringApplicationRunlistener() {
        log.info("MySpringApplicationRunlistener");
    }

    @Override
    public void starting(ConfigurableBootstrapContext bootstrapContext) {
      log.info("执行:{}","starting");
    }

    @Override
    public void environmentPrepared(ConfigurableBootstrapContext bootstrapContext, ConfigurableEnvironment environment) {
        log.info("执行:{}","starting");
    }

    @Override
    public void contextPrepared(ConfigurableApplicationContext context) {
        log.info("执行:{}","starting");
    }

    @Override
    public void contextLoaded(ConfigurableApplicationContext context) {
        log.info("执行:{}","starting");
    }

    @Override
    public void started(ConfigurableApplicationContext context, Duration timeTaken) {
        log.info("执行:{}","starting");
    }

    @Override
    public void ready(ConfigurableApplicationContext context, Duration timeTaken) {
        log.info("执行:{}","starting");
    }

    @Override
    public void failed(ConfigurableApplicationContext context, Throwable exception) {
        log.info("执行:{}","starting");
    }
}
